<template>
  <UserCenter :title="$t('statement')" >
    <div class="h-full flex flex-col relative transaction-page">
      <el-tabs
        v-model="transactionAcitveTab"
        class="demo-tabs greenperu__statement-tab"
      >
        <el-tab-pane
          name="transaction-history-deposit"
          :disabled="isStatementLoading"
        >
          <template #label>
            <nuxt-link to="/transaction-history/deposit" class="py-4">{{ $t(`deposit${isBhinbhin}`) }}</nuxt-link>
          </template>
        </el-tab-pane>
        <el-tab-pane
          name="transaction-history-withdrawal"
          :disabled="isStatementLoading"
        >
          <template #label>
            <nuxt-link to="/transaction-history/withdrawal" class="py-4">{{
              $t("withdrawal")
            }}</nuxt-link>
          </template>
        </el-tab-pane>
        <el-tab-pane
          name="transaction-history-winlose"
          :disabled="isStatementLoading"
        >
          <template #label>
            <nuxt-link to="/transaction-history/winlose" class="py-4">{{
              $t("winlose")
            }}</nuxt-link>
          </template>
        </el-tab-pane>
        <el-tab-pane
          name="transaction-history-my-promotion"
          :disabled="isStatementLoading"
        >
          <template #label>
            <nuxt-link to="/transaction-history/my-promotion" class="py-4">{{
              $t("my_promotion")
            }}</nuxt-link>
          </template>
        </el-tab-pane>
      </el-tabs>
      <div class="p-[16px]">
        <nuxt-page class="flex-auto"></nuxt-page>
      </div>
    </div>
  </UserCenter>
</template>

<script lang="ts" setup>
import { useRoute } from "vue-router";
import { store } from "~~/store";
import HeaderTitle from "@/components/new-black-theme/m-header-title.client.vue";
import UserCenter from "@/components/theme/desktop/peru/components/user-center-layout.client.vue";
import commonHelper from "@/utils/commonHelper";

const route = useRoute();
const transactionAcitveTab = computed(() => String(route.name));
const isStatementLoading = computed(() => store.state.isStatementLoading);
const { isBhinbhin } = commonHelper;
</script>

<style lang="scss">
.black-mobile .demo-tabs .el-tabs__nav-wrap .el-tabs__item {
  width: unset !important;
}
.hidden-mobile-version {
  height: calc(100vh - 160px);
  .mbk8-card {
    background: unset;
    border: 2px solid var(--border);
    border-radius: 8px;
    padding: unset;
    .bg-black\/20 {
      display: none;
    }
    h3 {
      display: flex;
      flex-direction: row;
      align-items: flex-start;
      padding: 12px 16px;
      gap: 10px;
      height: 40px;
      border-bottom: 2px solid var(--border);
    }
    p {
      font-size: 12px;
    }
    p:first-child {
      font-weight: 400;
    }
    .cancel-button {
      height: 30px;
      min-width: 78px;
      border-color: var(--failure);
      color: var(--failure);
    }
  }
  .el-radio-group {
    display: flex;
    flex-wrap: nowrap;
    overflow-x: auto;
    gap: 10px;
    margin-bottom: 16px;
    .el-radio-button {
      min-width: 45%;
      background: unset;
      border-radius: 8px;
      .el-radio-button__original-radio + .el-radio-button__inner{
        color: rgba(255,255,255,0.5);
      }
      .el-radio-button__original-radio:checked + .el-radio-button__inner{
        color: var(--selected);
      }
    }
  }
  .el-card {
    border: 2px solid var(--border);
    .el-card__body {
      border-radius: 8px;
      padding: 12px 16px;
      font-size: 12px;
      font-weight: 500;
      color: var(--text5);
      div:not(.text-right) {
        font-weight: 400;
      }
    }
    .el-progress-bar__outer {
      border-radius: 12px;
      background-color: var(--border);
      height: 16px;
    }
    .el-progress-bar__inner {
      border-radius: unset;
    }
  }
}
.my-promotion-page {
  .el-card {
    border-radius: 8px;
    .el-card__body {
      padding: unset;
      .border-bottom {
        border-bottom: 2px solid var(--border);
      }
    }
  }
}
.hidden-desktop-version {
  .el-progress-bar__outer {
    border-radius: 12px;
    background-color: var(--border);
    width: 104px;
    height: 24px;
  }
  .el-progress-bar__inner {
    border-radius: unset;
  }
}
.transaction-page .greenperu__statement-tab .el-tabs__nav-scroll {
  overflow-x: auto;
}
.transaction-page .greenperu__statement-tab .el-tabs__nav-prev,
.transaction-page .greenperu__statement-tab .el-tabs__nav-next {
  display: none;
}
#tab-transaction-history-my-promotion{
  display: none;
}
@media (max-width: 640px) {
  #tab-transaction-history-my-promotion{
    display: inline-block;
  }
}
.uc-section .el-table tr th.is-center.el-table__cell{
  font-weight: 500;
}
.uc-section .el-table--border .el-table__inner-wrapper tr td{
  font-weight: 400;
}
.greenperu__statement-tab .el-tabs__nav-wrap .el-tabs__item{
  @media (max-width: 639px){
    font-size:12px;
    font-weight: 700;
  }
  @media (min-width: 639px){
    font-size:16px;
    font-weight: 500;
  }
}
</style>

